--==========================================================================================================================	
-- SETTINGS
--==========================================================================================================================
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_MINORS_GIFTS';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_RED_COMBAT_ABORT';
--==========================================================================================================================	
-- Civilizations
--==========================================================================================================================		
INSERT INTO Civilizations 	
			(Type, 								Description,					ShortDescription, 					Adjective, 					Civilopedia, 					CivilopediaTag, 				DefaultPlayerColor, 		ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, IconAtlas, 					PortraitIndex, 	AlphaIconAtlas, 				SoundtrackTag, 	MapImage, 					DawnOfManQuote, 							DawnOfManAudio,						DawnOfManImage)
SELECT		('CIVILIZATION_PHOENICIA'), 		('TXT_KEY_PHOENICIA_DESC'),		('TXT_KEY_PHOENICIA_SHORT_DESC'), 	('TXT_KEY_PHOENICIA_ADJ'),	('TXT_KEY_PHOENICIA_DESC'), 	('TXT_KEY_CIV_PHOENICIA'), 		('PLAYERCOLOR_PHOENICIA'), 	ArtDefineTag, ArtStyleType, ArtStyleSuffix, ArtStylePrefix, ('PHOENICIA_ICON_ATLAS'), 	0, 				('PHOENICIA_ALPHA_ATLAS'), 		('Egypt'), 		('PhoeniciaMap512.dds'),	('TXT_KEY_DAWN_OF_MAN_PHOENICIA_TEXT'), 	('AS2D_DOM_SPEECH_ITHOBAAL'),		('Phoenicia_DOM.dds')
FROM Civilizations WHERE (Type = 'CIVILIZATION_ASSYRIA');
--------------------------------	
-- Ethnic Units Support
--------------------------------	
UPDATE Civilizations 
SET ArtStyleSuffix = (CASE WHEN EXISTS(SELECT ArtStyleSuffix FROM Civilizations WHERE ArtStyleSuffix = '_BABYLON' )
	THEN '_BABYLON'
	ELSE '_MED' END) 
WHERE Type = 'CIVILIZATION_PHOENICIA';
--------------------------------
-- Map Labels Support
--------------------------------
CREATE TABLE IF NOT EXISTS ML_CivCultures(CivType, CultureType, CultureEra);
INSERT INTO ML_CivCultures
			(CivType,						CultureType,		CultureEra)
VALUES		('CIVILIZATION_PHOENICIA',		'ARABIAN',			'ANY');
--------------------------------
-- Cultural Diversity Support
--------------------------------
CREATE TABLE IF NOT EXISTS Civilization_JFD_CultureTypes(CivilizationType, CultureType, SplashScreenTag, SoundtrackTag);
INSERT INTO Civilization_JFD_CultureTypes
            (CivilizationType,				CultureType,		SplashScreenTag,	SoundtrackTag)
VALUES      ('CIVILIZATION_PHOENICIA',     	'JFD_Mesopotamic',  'JFD_Mesopotamic',	'JFD_Mesopotamic');
--==========================================================================================================================	
-- Civilization_CityNames
--==========================================================================================================================	
INSERT INTO Civilization_CityNames
			(CivilizationType, 				CityName)
VALUES		('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_TYRE'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_SIDON'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_BYBLOS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_SAREPTA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_BEIRUT'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_BAALBEK'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_BATRUN'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_DOR'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_ARADOS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_KITION'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_LEPTIS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_AKKO'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_KARALIS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_LATAKIA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_MICHEL'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_GOZO'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_USHU'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_ICOSIUM'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_IOL'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_MYRIANDRUS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_AUZA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_MELITA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_TRIPOLI'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_PAXOS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_COSSYRA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_TARTESSOS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_AMPI'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_DOUGGA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_SANTORINI'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_ZILI'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_TIPASA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_CIRTA'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_IGILGILI'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_QART_HADASHT'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_MACOMADES'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_THARROS'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_ATLIT_YAM'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_KAMID_AL_LAWZ'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_CITY_NAME_PHOENICIA_CORDOBA');
--==========================================================================================================================	
-- Civilization_FreeBuildingClasses
--==========================================================================================================================			
INSERT INTO Civilization_FreeBuildingClasses 
			(CivilizationType, 					BuildingClassType)
SELECT		('CIVILIZATION_PHOENICIA'), 		BuildingClassType
FROM Civilization_FreeBuildingClasses WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--==========================================================================================================================	
-- Civilization_FreeTechs
--==========================================================================================================================		
INSERT INTO Civilization_FreeTechs 
			(CivilizationType, 					TechType)
SELECT		('CIVILIZATION_PHOENICIA'), 		TechType
FROM Civilization_FreeTechs WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--==========================================================================================================================	
-- Civilization_FreeUnits
--==========================================================================================================================		
INSERT INTO Civilization_FreeUnits 
			(CivilizationType, 					UnitClassType, Count, UnitAIType)
SELECT		('CIVILIZATION_PHOENICIA'), 		UnitClassType, Count, UnitAIType
FROM Civilization_FreeUnits WHERE (CivilizationType = 'CIVILIZATION_ASSYRIA');
--==========================================================================================================================	
-- Civilization_Leaders
--==========================================================================================================================		
INSERT INTO Civilization_Leaders 
			(CivilizationType, 				LeaderheadType)
VALUES		('CIVILIZATION_PHOENICIA', 		'LEADER_ITHOBAAL');
--==========================================================================================================================	
-- Civilization_UnitClassOverrides 
--==========================================================================================================================		
INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 				UnitClassType, 					UnitType)
VALUES		('CIVILIZATION_PHOENICIA', 		'UNITCLASS_GREAT_DIPLOMAT', 	'UNIT_PHOENICIAN_MERCHANT_PRINCE');

INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, 			UnitClassType, 			UnitType)
SELECT	'CIVILIZATION_PHOENICIA', 	'UNITCLASS_TRIREME', 	'UNIT_PHOENICIA_BIREME'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');

INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, 			UnitClassType, 			UnitType)
SELECT	'CIVILIZATION_PHOENICIA', 	'UNITCLASS_SPEARMAN', 	'UNIT_PHOENICIA_HABIRU'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--==========================================================================================================================	
-- Civilization_UnitClassOverrides 
--==========================================================================================================================	
INSERT INTO Civilization_BuildingClassOverrides 
		(CivilizationType, 			BuildingClassType, 				BuildingType)
VALUES	('CIVILIZATION_PHOENICIA',	'BUILDINGCLASS_COURT_SCRIBE',	'BUILDING_BEIT_MELQART');
--==========================================================================================================================	
-- Civilization_Religions
--==========================================================================================================================		
INSERT INTO Civilization_Religions 
			(CivilizationType, 					ReligionType)
VALUES		('CIVILIZATION_PHOENICIA', 		'RELIGION_JUDAISM');
--==========================================================================================================================
-- Civilization_Start_Along_Ocean
--==========================================================================================================================	
INSERT INTO Civilization_Start_Along_Ocean 
			(CivilizationType, 			StartAlongOcean)
VALUES		('CIVILIZATION_PHOENICIA', 	1);
--==========================================================================================================================	
-- Civilization_SpyNames
--==========================================================================================================================	
INSERT INTO Civilization_SpyNames 
			(CivilizationType, 			SpyName)
VALUES		('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_0'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_1'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_2'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_3'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_4'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_5'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_6'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_7'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_8'),
			('CIVILIZATION_PHOENICIA', 		'TXT_KEY_SPY_NAME_PHOENICIA_9');
--==========================================================================================================================		
--==========================================================================================================================