--==========================================================================================================================
-- Units
--==========================================================================================================================
INSERT INTO Units 	
			(Type, 						PrereqTech, 	Combat, Cost, 		Class, FaithCost, RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain, DefaultUnitAI, Description, 						Civilopedia, 									Help, 										Strategy,								  		MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, CombatLimit, ObsoleteTech, XPValueAttack, XPValueDefense, PurchaseCooldown, BaseLandAirDefense, IsMounted, GoodyHutUpgradeUnitClass, UnitArtInfo,							UnitFlagIconOffset,	UnitFlagAtlas,						MoveRate,	PortraitIndex, 	IconAtlas)
SELECT		('UNIT_PHOENICIA_BIREME'),	'TECH_SAILING', Combat, Cost-10, 	Class, FaithCost, RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain, DefaultUnitAI, ('TXT_KEY_UNIT_PHOENICIA_BIREME'), 	('TXT_KEY_CIV5_UNIT_PHOENICIA_BIREME_TEXT'), 	('TXT_KEY_UNIT_PHOENICIA_BIREME_HELP'), 	('TXT_KEY_UNIT_PHOENICIA_BIREME_STRATEGY'),  	MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, CombatLimit, ObsoleteTech, XPValueAttack, XPValueDefense, PurchaseCooldown, BaseLandAirDefense, IsMounted, GoodyHutUpgradeUnitClass, ('ART_DEF_UNIT_MC_PHOENICIA_BIREME'),  0,					'MC_PHOENICIAN_BIREME_FLAG',		MoveRate,	0, 				('BIREME_ATLAS')
FROM Units WHERE (Type = 'UNIT_TRIREME');

INSERT INTO Units 	
			(Type, 						PrereqTech, 				Combat, 	Cost, 		Class, FaithCost, RequiresFaithPurchaseEnabled,	Moves, CombatClass, Domain, DefaultUnitAI, Description, 						Civilopedia, 									Help, 										Strategy,								  		MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, CombatLimit, ObsoleteTech, 	XPValueAttack, XPValueDefense, PurchaseCooldown, BaseLandAirDefense, IsMounted, GoodyHutUpgradeUnitClass, UnitArtInfo,						UnitFlagIconOffset,	UnitFlagAtlas,				MoveRate,	PortraitIndex, 	IconAtlas)
SELECT		('UNIT_PHOENICIA_HABIRU'),	'TECH_ANIMAL_HUSBANDRY', 	Combat+1, 	Cost-15, 	Class, FaithCost, RequiresFaithPurchaseEnabled,	Moves, CombatClass, Domain, DefaultUnitAI, ('TXT_KEY_UNIT_PHOENICIA_HABIRU'), 	('TXT_KEY_CIV5_UNIT_PHOENICIA_HABIRU_TEXT'), 	('TXT_KEY_UNIT_PHOENICIA_HABIRU_HELP'), 	('TXT_KEY_UNIT_PHOENICIA_HABIRU_STRATEGY'),  	MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, AdvancedStartCost, CombatLimit, ObsoleteTech,	XPValueAttack, XPValueDefense, PurchaseCooldown, BaseLandAirDefense, IsMounted, GoodyHutUpgradeUnitClass, ('ART_DEF_UNIT_PHOENICIA_HABIRU'), 0,					'PHOENICIAN_HABIRU_FLAG',	MoveRate,	0, 				('PHOENICIA_ATLAS')
FROM Units WHERE (Type = 'UNIT_SPEARMAN');

INSERT INTO Units 	
			(Type, 									PrereqTech, CivilianAttackPriority, Class, Cost, Moves, FaithCost, RequiresFaithPurchaseEnabled, Special, CombatLimit, Domain, 	DefaultUnitAI, BaseGold, 	SupplyCapBoost, 	Description, 									Civilopedia, 										Help, 												Strategy,								   				AdvancedStartCost, WorkRate, NumInfPerEra, BaseHurry, PurchaseCooldown, GlobalFaithPurchaseCooldown, BaseLandAirDefense, HurryMultiplier, Pillage, IgnoreBuildingDefense, UnitArtInfo,								UnitFlagIconOffset,	UnitFlagAtlas,				MoveRate,	PortraitIndex, 	IconAtlas)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'), 	PrereqTech, CivilianAttackPriority, Class, Cost, Moves, FaithCost, RequiresFaithPurchaseEnabled, Special, CombatLimit, Domain,	DefaultUnitAI, 500, 		2, 					('TXT_KEY_UNIT_PHOENICIA_MERCHANT_PRINCE'), 	('TXT_KEY_UNIT_PHOENICIA_MERCHANT_PRINCE_TEXT'), 	('TXT_KEY_UNIT_PHOENICIA_MERCHANT_PRINCE_HELP'), 	('TXT_KEY_UNIT_PHOENICIA_MERCHANT_PRINCE_STRATEGY'),	AdvancedStartCost, WorkRate, NumInfPerEra, BaseHurry, PurchaseCooldown, GlobalFaithPurchaseCooldown, BaseLandAirDefense, HurryMultiplier, Pillage, IgnoreBuildingDefense, ('ART_DEF_UNIT_MC_TYRIAN_MERCHANT'),  	0,					'MC_TYRIAN_MERCHANT_FLAG',	MoveRate,	2, 				('PHOENICIA_ATLAS')
FROM Units WHERE (Type = 'UNIT_GREAT_DIPLOMAT');
--==========================================================================================================================
-- UnitGameplay2DScripts
--==========================================================================================================================
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 									SelectionSound, FirstSelectionSound)
SELECT		('UNIT_PHOENICIA_BIREME'), 					SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_TRIREME');

INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 									SelectionSound, FirstSelectionSound)
SELECT		('UNIT_PHOENICIA_HABIRU'), 					SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 									SelectionSound, FirstSelectionSound)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'), 		SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_GREAT_DIPLOMAT');
--==========================================================================================================================
-- Unit_AITypes
--==========================================================================================================================
INSERT INTO Unit_AITypes 	
			(UnitType, 										UnitAIType)
SELECT		('UNIT_PHOENICIA_BIREME'), 						UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_TRIREME');

INSERT INTO Unit_AITypes 	
			(UnitType, 										UnitAIType)
SELECT		('UNIT_PHOENICIA_HABIRU'), 						UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO Unit_AITypes 	
			(UnitType, 										UnitAIType)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'), 			UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_GREAT_DIPLOMAT');
--==========================================================================================================================
-- Unit_Flavors
--==========================================================================================================================
INSERT INTO Unit_Flavors 	
			(UnitType, 									FlavorType, Flavor)
SELECT		('UNIT_PHOENICIA_BIREME'), 					FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_TRIREME');

INSERT INTO Unit_Flavors 	
			(UnitType, 									FlavorType, Flavor)
SELECT		('UNIT_PHOENICIA_HABIRU'), 					FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO Unit_Flavors 	
			(UnitType, 									FlavorType, Flavor)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'), 		FlavorType, Flavor
FROM Unit_Flavors WHERE (UnitType = 'UNIT_GREAT_DIPLOMAT');
--==========================================================================================================================	
-- Unit_ClassUpgrades
--==========================================================================================================================	
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 						UnitClassType)
SELECT		('UNIT_PHOENICIA_BIREME'),		UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_TRIREME');

INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 						UnitClassType)
SELECT		('UNIT_PHOENICIA_HABIRU'),		UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_SPEARMAN');
--==========================================================================================================================
-- Unit_FreePromotions
--==========================================================================================================================
INSERT INTO Unit_FreePromotions 	
			(UnitType, 									PromotionType)
SELECT		('UNIT_PHOENICIA_BIREME'), 					PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_TRIREME');

INSERT INTO Unit_FreePromotions 	
			(UnitType, 									PromotionType)
SELECT		('UNIT_PHOENICIA_HABIRU'), 					PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_SPEARMAN');

INSERT INTO Unit_FreePromotions 	
			(UnitType, 									PromotionType)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'), 		PromotionType
FROM Unit_FreePromotions WHERE (UnitType = 'UNIT_GREAT_DIPLOMAT');

INSERT INTO Unit_FreePromotions
			(UnitType, 									PromotionType)
VALUES		('UNIT_PHOENICIA_BIREME', 					'PROMOTION_OARSMEN'),
			('UNIT_PHOENICIA_HABIRU', 					'PROMOTION_HABIRU');
--==========================================================================================================================
-- Unit_UniqueNames
--==========================================================================================================================
INSERT INTO Unit_UniqueNames 
			(UnitType, 					UniqueName)
VALUES		('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_01'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_02'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_03'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_04'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_05'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_06'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_07'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_08'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_09'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_10'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_11'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_12'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_13'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_14'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_15'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_16'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_17'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_18'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_19'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_20'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_21'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_22'),
			('UNIT_PHOENICIAN_MERCHANT_PRINCE',	'TXT_KEY_GREAT_PERSON_MERCHANT_PRINCE_23');
--==========================================================================================================================
-- Unit_Builds
--==========================================================================================================================
INSERT INTO Unit_Builds 	
			(UnitType, 									BuildType)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'),		BuildType
FROM Unit_Builds WHERE (UnitType = 'UNIT_GREAT_DIPLOMAT');
--==========================================================================================================================
-- Unit_ResourceQuantityExpended
--==========================================================================================================================
INSERT INTO Unit_ResourceQuantityExpended 	
			(UnitType, 								ResourceType, 	Amount)
SELECT		('UNIT_PHOENICIAN_MERCHANT_PRINCE'),	ResourceType, 	Amount
FROM Unit_ResourceQuantityExpended WHERE (UnitType = 'UNIT_GREAT_DIPLOMAT');
--==========================================================================================================================
--==========================================================================================================================
