-- PhoenicianUA
-- Author: Sukritact
--=======================================================================================================================

print("loaded")
include("FLuaVector.lua")

function PositionCalculator(i1, i2)
	return HexToWorld(ToHexFromGrid(Vector2(i1, i2)))
end

local eCivilizationPhoenicia = GameInfoTypes.CIVILIZATION_PHOENICIA
--=======================================================================================================================
-- Unit functions
--=======================================================================================================================
--------------------------------------------------------------------------------------
-----------------------------   Movement Transfer   ----------------------------------
--------------------------------------------------------------------------------------
function OarsmenMove(iPlayer)
	local pPlayer = Players[iPlayer]
	
	for pUnit in pPlayer:Units() do
		if pUnit:IsHasPromotion(GameInfoTypes.PROMOTION_OARSMEN) then
			
			local iMovement = pUnit:GetMoves()
			local pPlot = pUnit:GetPlot()
			local iNumUnits = pPlot:GetNumUnits()
			for iVal = 0,(iNumUnits - 1) do
				local pUnit = pPlot:GetUnit(iVal)
				if (pUnit:IsEmbarked()) and (pUnit:GetMoves() < iMovement) then
					pUnit:SetMoves(iMovement)
				end
			end
		end
	end
end
GameEvents.PlayerDoTurn.Add(OarsmenMove)
--------------------------------------------------------------------------------------
-----------------------------   Habiru Replacement   ---------------------------------
--------------------------------------------------------------------------------------
--[[function HabiruReplace(iMinor, iMajor, iUnitType)
	local pPlayer = Players[iMajor]
	local eHabiru = GameInfoTypes.UNIT_PHOENICIA_HABIRU

	if not (pPlayer and (pPlayer:CanTrain(eHabiru, true, true, true, false))) then return end

	if iUnitType == GameInfoTypes.UNIT_SPEARMAN then
		
		for pUnit in pPlayer:Units() do
			if pUnit:GetUnitType() == GameInfoTypes.UNIT_SPEARMAN then
				pUnit:SetMoves(0)
				local iX, iY = pUnit:GetX(), pUnit:GetY()
				local eNewHabiru = pPlayer:InitUnit(eHabiru, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
			
				eNewHabiru:Convert(pUnit, false, false)
				eNewXaa:SetMoves(0)
				eNewXaa:SetHasPromotion(GameInfoTypes.PROMOTION_HABIRU, true)
			
				if pPlayer:IsHuman() then
			
					pPlayer:AddNotification(0, 
						'City-State gift. An allied City-State has gifted you a Habiru.', 
						'New Unit from City-State', 
						iX, iY)
				end
			end
		end
	end
end]]--
--------------------------------------------------------------------------------------
---------------------   Beit Melqart Diplomat Generation   ---------------------------
--------------------------------------------------------------------------------------
function MelqartDummy(iPlayer)
	local pPlayer = Players[iPlayer]
	
	if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationPhoenicia) then return end

	local pCapital = pPlayer:GetCapitalCity()
	
	if pCapital and pCapital:IsHasBuilding(GameInfoTypes.BUILDING_BEIT_MELQART) then
		pCapital:SetNumRealBuilding(GameInfoTypes.BUILDING_D_FOR_MELQART, pPlayer:GetNumInternationalTradeRoutesUsed())
	end
	
	if pPlayer:GetNumCities() > 1 then

		for pNewCity in pPlayer:Cities() do
		
			if not pNewCity:IsOriginalCapital() then
				
				local iShortestDistance = 99999
				local pNewCityOwner = nil
				for player in pairs(Players) do

					local MinorPlayer = Players[player]
					if (MinorPlayer and MinorPlayer:IsMinorCiv()) then 
					
					local iCSStartPlot = MinorPlayer:GetStartingPlot()
					local iDist = Map.PlotDistance(iCSStartPlot:GetX(), iCSStartPlot:GetY(), pNewCity:GetX(), pNewCity:GetY())
						if (iDist < iShortestDistance) then
							iShortestDistance = iDist
							pNewCityOwner = MinorPlayer
						end
					end
				end
				pNewCityOwner:AcquireCity(pNewCity, false, false)
				pNewCityOwner:ChangeMinorCivFriendshipWithMajor(pPlayer:GetID(), 35 + math.max(1, pPlayer:GetCurrentEra())*30)
			end
		end
	end
end

--[[		local iShortestDistance = 99999
		if pCsOwner == pPhoeniciaPlayer then
			for player in pairs(Players) do
				local MinorPlayer = Players[player]
				if (MinorPlayer and MinorPlayer:IsMinorCiv()) and not MinorPlayer:IsAtWarWith(iNewOwner) then
					local iCsStartPlot = MinorPlayer:GetStartingPlot()
					if iCsStartPlot then
						local iDist = Map.PlotDistance(iCsStartPlot:GetX(), iCsStartPlot:GetY(), iX, iY)
						if (iDist < iShortestDistance) then
							iShortestDistance = iDist
							pCsOwner = MinorPlayer
						end
					end
				end
			end
			
			if pCsOwner ~= pPhoeniciaPlayer then
				pCsOwner:AcquireCity(pCity2, false, true)
				pCsOwner:ChangeMinorCivFriendshipWithMajor(iNewOwner, 35 + math.max(1, pPhoeniciaPlayer:GetCurrentEra())*35)
			end
		else
			pCsOwner:GrantPolicy(GameInfoTypes.POLICY_PHOENICIAN_METROPOLIS, true)
			pCsOwner:ChangeMinorCivFriendshipWithMajor(pPhoeniciaPlayer:GetID(), 35 + math.max(1, pPhoeniciaPlayer:GetCurrentEra())*35)
		end
	end
end ]]--

--------------------------------------------------------------------------------------
-----------------------   Merchant Prince Trade Routes   -----------------------------
--------------------------------------------------------------------------------------
function MerchantPrinceTR(iPlayer, iUnit, iUnitType, iX, iY)
	local pPlayer = Players[iPlayer]

	if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationPhoenicia) then return end
	
	if iUnitType == GameInfoTypes.UNIT_PHOENICIAN_MERCHANT_PRINCE then
		local eDFMerchantPrince = GameInfoTypes.BUILDING_D_FOR_MERCHANT_PRINCE
		local pCapital = pPlayer:GetCapitalCity()
		pPlayer:GetCapitalCity():SetNumRealBuilding(eDFMerchantPrince, (pCapital:GetNumRealBuilding(eDFMerchantPrince) + 1))
	end
end
--------------------------------------------------------------------------------------
--------------------------   Metropolis CS Creation   --------------------------------
--------------------------------------------------------------------------------------
function OnFoundMetropolis(iPlayer, iX, iY)

	local pPlayer = Players[iPlayer]
	if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationPhoenicia) then return end
	
	local pPlot = Map.GetPlot(iX, iY)
	local pCity1 = pPlot:GetPlotCity()
	if not pCity1:IsOriginalCapital() then 
		
		local pMinorName = pCity1:GetName()
		Game.DoSpawnFreeCity(pCity1)
		local pCity2 = pPlot:GetPlotCity()
		pCity2:SetName(pMinorName)
		local pNewCityOwner = Players[pPlot:GetOwner()]
		pNewCityOwner:GrantPolicy(GameInfoTypes.POLICY_PHOENICIAN_METROPOLIS, true)
		pNewCityOwner:ChangeMinorCivFriendshipWithMajor(pPlayer:GetID(), 35 + math.max(1, pPlayer:GetCurrentEra())*35)
	end
end

function OnCaptureMetropolis1(iOldOwner, bIsCapital, iX, iY, iNewOwner, iPop, bConquest)

	local pPhoeniciaPlayer = Players[iNewOwner]
	if not (pPhoeniciaPlayer and pPhoeniciaPlayer:GetCivilizationType() == eCivilizationPhoenicia) then return end

	local pPlot = Map.GetPlot(iX, iY)
	local pCity1 = pPlot:GetPlotCity()
	if not pCity1:IsOriginalCapital() then 
		
		local pMinorName = pCity1:GetName()
		Game.DoSpawnFreeCity(pCity1)
		local pCity2 = pPlot:GetPlotCity()
		pCity2:SetName(pMinorName)
		local pNewCityOwner = Players[pPlot:GetOwner()]
		pNewCityOwner:GrantPolicy(GameInfoTypes.POLICY_PHOENICIAN_METROPOLIS, true)
		pNewCityOwner:ChangeMinorCivFriendshipWithMajor(pPlayer:GetID(), 35 + math.max(1, pPlayer:GetCurrentEra())*35)
	end
end
--------------------------------------------------------------------------------------
-------------------------   Metropolis CS Influence   --------------------------------
--------------------------------------------------------------------------------------
function MetropolisInfluence(iPlayer)
	local pPlayer = Players[iPlayer]
	
	if not (pPlayer and pPlayer:GetCivilizationType() == eCivilizationPhoenicia) then return end

	for player in pairs(Players) do
		local MinorPlayer = Players[player]
		if MinorPlayer and MinorPlayer:IsMinorCiv() then 
			if MinorPlayer:HasPolicy(GameInfoTypes.POLICY_PHOENICIAN_METROPOLIS) then
				MinorPlayer:ChangeMinorCivFriendshipWithMajor(iPlayer, math.max(0, (65 - MinorPlayer:GetMinorCivFriendshipWithMajor(iPlayer))))
			end
		end
	end
end
--------------------------------------------------------------------------------------
--------------------   Phoenicia Cannot Attack CS Cities   ---------------------------
--------------------------------------------------------------------------------------
function MetropolisCSCaptureDisable(iAttackingPlayer, iAttackingUnit, attackerDamage, attackerFinalDamage, attackerMaxHP, iDefendingPlayer, iDefendingUnit, defenderDamage, defenderFinalDamage, defenderMaxHP, iInterceptingPlayer, iInterceptingUnit, interceptorDamage, iX, iY)

	local pAttacker = Players[iAttackingPlayer]
	local pDefender = Players[iDefendingPlayer]

	if not (pAttacker and pAttacker:GetCivilizationType() == eCivilizationPhoenicia) then return end
	
	if (pDefender and pDefender:IsMinorCiv()) then
		if Map.GetPlot(iX, iY):IsCity(pDefender) then
			return true
		end
	end
return false
end
--------------------------------------------------------------------------------------
------------------------------   LUA activation   ------------------------------------
--------------------------------------------------------------------------------------
if Game.IsCivEverActive(eCivilizationPhoenicia) then
	GameEvents.PlayerDoTurn.Add(MelqartDummy)
--	GameEvents.MinorGiftUnit.Add(HabiruReplace)
	GameEvents.GreatPersonExpended.Add(MerchantPrinceTR)
	GameEvents.CityCaptureComplete.Add(OnCaptureMetropolis1)
	GameEvents.PlayerCityFounded.Add(OnFoundMetropolis)
	GameEvents.PlayerDoTurn.Add(MetropolisInfluence)
	GameEvents.MustAbortAttack.Add(MetropolisCSCaptureDisable)
end
--=======================================================================================================================
--=======================================================================================================================